
function TestDataClass() {

	this.getDetail = function(){
		var response = {
			"id":88,
			"title":"Tag der Katze",
			"subtitle":"",
			"text":"Dieser Tag ehrt die Katze und ganz besonders die weißen, schwarzen und braunen Katzen! Begehe diesen Tag, indem Du mit Deiner katze Gassi gehst oder sie schick zum Essen in ein Restaurant ausführst.",
			"moreLink":"http://kleiner-kalender.de/88",
			"image": {
				"url":"test/teaser.jpg",
				"caption":"Das ist das Bild einer Katze",
				"copyright":"Das ist der Urheberrechtshinweis",
				
			},
			"place": {
				"name": "Welt",
				"location": "Weltweit",
			},
			"startDate":{
				"day":8,
				"month":8,
				"year":2017
			},
			"category": {
				"id":2289,
				"title":"Tier-Feiertage"
			},
			"countdown":{
				"days":0,
				"title": "It's today!"
			},
			"sharing": {
				"title":"Tag der Katze",
				"link": "http://kleiner-kalender.de/88",
				"message": "Tag der Katze am 23.10.2016",
			}
		};
		return { "header":{},"response": response };
	}
	this.getCategory = function(){
		var response = {
			"id": 88,
			"title":"Tier-Feiertage",
			"events":{
				"0":{
					"id":88,
					"title":"Tag der Katze",
					"detailsAvailable":0,
					"date":{
						"day":8,
						"month":8,
						"year":2015
					}
				},
				"1":{
					"id":88,
					"title":"Tag der Schildkröte",
					"detailsAvailable":1,
					"date":{
						"day":27,
						"month":5,
						"year":2016
					}
				},
			},
			"moreLink": "http://www.kleiner-kalender.de/88c",
			"sharing": {
				"title":"Tier-Feiertage",
				"link": "http://kleiner-kalender.de/88",
				"message": "Übersicht: Tier-Feiertage",
			}
		};
		return { "header":{},"response": response };
	}
	
	this.getHolidayOverview = function(){
		var response = {
				"countries": {
					0: {
						"title": "Deutschland",
						"id": "de",
						"states": {
							0: {
								"title": "Baden-Württemberg",
								"id": "de-bw",
							},
							1: {
								"title": "Hessen",
								"id": "de-he"
							}
						}
					},
					1: {
						"title": "Österreich",
						"id": "au"
					},
					2: {
						"title": "Schweiz",
						"id": "sw"
					},
					3: {
						"title": "USA",
						"id": "us",
					},
				}
		}
		return { "header":{},"response": response };
	}
	
	this.getHolidayDetail = function(){
		var response = {
			"country": "Deutschland",
			"state"  : "Hessen",
			"stateShort" : "Hessen",
			"stateAbbrev" : "HE",
			"id"	 : "de-he",
			"context": {
				"prevYear"   : 2014,
				"currentYear": 2015,
				"nextYear"   : 2016	
			},
			"federalHolidays": {
				0:{
					"title":"Tag der deutschen Einheit",
					"allStates":1,
					"date":{
						"day":3,
						"dayname":"Samstag",
						"month":10,
						"monthname":"Oktober",
						"year":2015
					}
				},
				1:{
					"title":"Fronleichnam",
					"allStates":0,
					"states":"HE,RLP",
					"eventId":88,
					"eventDetailsAvailable":1,
					"date":{
						"day":6,
						"dayname":"Donnerstag",
						"month":6,
						"monthname":"Juni",
						"year":2015
					}
				}
			},
			"schoolHolidays": {
				0:{
					"title":"Herbstferien",
					"startDate": {
						"day":3,
						"month":10,
						"monthname":"Oktober",
						"year":2015
					},
					"endDate": {
						"day":21,
						"month":10,
						"monthname":"Oktober",
						"year":2015
					}

				},
				1:{
					"title":"Weihnachtsferien",
					"startDate": {
						"day":23,
						"month":12,
						"monthname":"Dezember",
						"year":2015
					},
					"endDate": {
						"day":7,
						"month":1,
						"monthname":"Januar",
						"year":2016
					}

				}
			}

		};
		return { "header":{},"response": response };
	}
	this.getOverview = function(){
		var response = {

			"date": {
				"day"   : 8,
				"month" : 8,
				"year"  : 2015,
		
				"dayname": "Montag",
				"monthname": "August",
				"daynumber": 217,
				"week":32,

				"prev"	: {
					"datecode": "2015-08-07",
					"day": 7,
					"month":8,
					"day":2015
				}
			},
			"image": {
				"url":"test/teaser.jpg",
				"caption":"Das ist das Bild einer Katze",
				"copyright":"Das ist der Urheberrechtshinweis",
				"eventId":88,
				"eventDetailsAvailable":1
			},
			"events": {
				"0": {
					"detailsAvailable": 0,
					"id": 88,
					"title": "Tag der Katzen",
				},
				"1": {
					"detailsAvailable": 1,
					"id": 88,
					"title": "Tag der Wüstenrennmaus",
				},
				"2": {
					"detailsAvailable": 1,
					"id": 88,
					"title": "Kinostart: Batman returns",
					"filterClass": "TheatricalRelease",
					"isAdditional": "true"
				},
				"3": {
					"detailsAvailable": 1,
					"id": 88,
					"title": "Rock am Ring",
					"filterClass": "ConcertFestival",
					"isAdditional": "true"
				}
			},
			"info": {
				"zodiac": {
					"code": "lion",
					"label": "Lion"
				},
				"sun": {
					0:{
						"place": "New York",
						"countrycode":"USA",
						"sunrise": {
							"hour":6,
							"minute":15
						},
						"sunset": {
							"hour":22,
							"minute":8
						}
					}
				}
			},
			"countdown":{
				"nextYear":{
					"days":189
				}
			},
			"calendar": {
				"islamic": {
					"month": 7,
					"monthname": "Shawwal",
					"day":22,
					"dayname":"as-sabt",
					"year":1436
				},
				"jewish": {
					"month": 6,
					"monthname": "Elul",
					"day":15,
					"year":5775
				}
			},
			"namedays": "Shia, Neal, Johnny",
			"quote": {
				"text": "Wer sich darauf versteht, das Leben zu genießen, braucht keine Reichtümer.",
				"author": "Chinesisches Sprichwort"
			}
		};
		return {"header":{},"response":response};
	}
}
var TestData = new TestDataClass;


